> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.rask.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete segment

> Delete project transcription segment.



## OpenAPI

````yaml delete /v2/projects/{project_id}/transcription/segments/{segment_id}
openapi: 3.1.0
info:
  title: Rask API documentation
  version: 0.2.0
servers:
  - description: API
    url: https://api.rask.ai
security: []
paths:
  /v2/projects/{project_id}/transcription/segments/{segment_id}:
    delete:
      tags:
        - projects
      summary: Delete segment
      description: Delete project transcription segment.
      operationId: >-
        delete_transcription_segment_v2_projects__project_id__transcription_segments__segment_id__delete
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project ID
            description: Project ID
        - name: segment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Segment ID
            description: Segment ID
      responses:
        '200':
          description: ID of deleted segment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SegmentId'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SegmentId:
      properties:
        id:
          type: string
          title: Segment ID
          description: Segment ID
      type: object
      required:
        - id
      title: SegmentId
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````